Page tree

Versions Compared

Key

  • This line was added.
  • This line was removed.
  • Formatting was changed.

...

  • Java servlets do not work with mod_userdir-based URLs. This is because Tomcat requires you to add additional directives to the virtual host.

    Warning
    titleImportant:

    EasyApache 3 does not support Tomcat for new installations. EasyApache 4 does not support Tomcat and we do not plan to provide support in the future. 


  • The CGI, FastCGI, and PHP-FPM PHP Handers handlers do not allow you to use the Apache mod_userdir module.  Select the tabs below for directions on how to use this module:

    Localtab Group


    Localtab
    titleEasyApache 3

    To use Apache's mod_userdir module, perform the following actions in WHM's  Apache mod_userdir Tweak  interface (Home >> Security Center >> Configure PHP and suEXEC):

    • Set the PHP Handler 5  option to  suphp.
    • Set the Apache suEXEC option to off.


    Localtab
    titleEasyApache 4:

    To use Apache's mod_userdir module, perform the following actions:

    • Make certain that the mod_suphp module is installed in the Apache Modules section of WHM's Apache mod_userdir Tweak (Home >> Software >> EasyApache 4).
    • Select suphp for each version of PHP installed on your system in the PHP Handlers section of WHM's MultiPHP INI Editor interface (Home >> Software >> MultiPHP Manager).



...